<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_162) on Thu May 10 14:42:23 CEST 2018 -->
<title>Serialized Form</title>
<meta name="date" content="2018-05-10">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Serialized Form";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<h2 title="Package">Package&nbsp;geosweep.gui</h2>
<ul class="blockList">
<li class="blockList"><a name="geosweep.gui.BoardPanel">
<!--   -->
</a>
<h3>Class <a href="geosweep/gui/BoardPanel.html" title="class in geosweep.gui">geosweep.gui.BoardPanel</a> extends javax.swing.JPanel implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>board</h4>
<pre><a href="geosweep/board/Board.html" title="class in geosweep.board">Board</a> board</pre>
</li>
<li class="blockList">
<h4>width</h4>
<pre>int width</pre>
</li>
<li class="blockList">
<h4>timer</h4>
<pre>javax.swing.Timer timer</pre>
</li>
<li class="blockList">
<h4>infoLabel</h4>
<pre>javax.swing.JLabel infoLabel</pre>
</li>
<li class="blockList">
<h4>start</h4>
<pre>java.util.Date start</pre>
</li>
<li class="blockListLast">
<h4>end</h4>
<pre>boolean end</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="geosweep.gui.ControlPanel">
<!--   -->
</a>
<h3>Class <a href="geosweep/gui/ControlPanel.html" title="class in geosweep.gui">geosweep.gui.ControlPanel</a> extends javax.swing.JPanel implements Serializable</h3>
</li>
<li class="blockList"><a name="geosweep.gui.FootPanel">
<!--   -->
</a>
<h3>Class <a href="geosweep/gui/FootPanel.html" title="class in geosweep.gui">geosweep.gui.FootPanel</a> extends javax.swing.JPanel implements Serializable</h3>
</li>
<li class="blockList"><a name="geosweep.gui.LauncherPanel">
<!--   -->
</a>
<h3>Class <a href="geosweep/gui/LauncherPanel.html" title="class in geosweep.gui">geosweep.gui.LauncherPanel</a> extends javax.swing.JPanel implements Serializable</h3>
</li>
<li class="blockList"><a name="geosweep.gui.MainFrame">
<!--   -->
</a>
<h3>Class <a href="geosweep/gui/MainFrame.html" title="class in geosweep.gui">geosweep.gui.MainFrame</a> extends javax.swing.JFrame implements Serializable</h3>
</li>
<li class="blockList"><a name="geosweep.gui.OwnSizePanel">
<!--   -->
</a>
<h3>Class <a href="geosweep/gui/OwnSizePanel.html" title="class in geosweep.gui">geosweep.gui.OwnSizePanel</a> extends javax.swing.JPanel implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>breiteField</h4>
<pre>javax.swing.JTextField breiteField</pre>
</li>
<li class="blockList">
<h4>laengeField</h4>
<pre>javax.swing.JTextField laengeField</pre>
</li>
<li class="blockListLast">
<h4>minenField</h4>
<pre>javax.swing.JTextField minenField</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="geosweep.gui.ShapePanel">
<!--   -->
</a>
<h3>Class <a href="geosweep/gui/ShapePanel.html" title="class in geosweep.gui">geosweep.gui.ShapePanel</a> extends javax.swing.JPanel implements Serializable</h3>
</li>
<li class="blockList"><a name="geosweep.gui.SizePanel">
<!--   -->
</a>
<h3>Class <a href="geosweep/gui/SizePanel.html" title="class in geosweep.gui">geosweep.gui.SizePanel</a> extends javax.swing.JPanel implements Serializable</h3>
</li>
<li class="blockList"><a name="geosweep.gui.TitlePanel">
<!--   -->
</a>
<h3>Class <a href="geosweep/gui/TitlePanel.html" title="class in geosweep.gui">geosweep.gui.TitlePanel</a> extends javax.swing.JPanel implements Serializable</h3>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
